Subject: [nemo] RA with router lifetime set to zero

From: "Jung-Hoon Cheon" <[email-masked]>
Date: Thu, 28 Aug 2003 16:10:17 +0900

Hi all;

I have a comment.

According to the [RFC2461],
RA with Router Lifetime field set to zero indicates that the router is not
a default router and SHOULD NOT appear on the default router list.

In NEMO basic support draft[Sec. 5.6], 
A MR MAY be configured to send a RA on the interface attached to the home
link. The value of the Router Lifetime field MUST set to zero to prevent 
other nodes from configuring the MR as the default router.

When hosts on the link receive the RA(router lifetime set to zero), they should delete the entry on the default router list.
Unlike IPv4, the RA doesn't contain a preference field, which helps set to specific router(e.g. MR) on the default router list.

I think that it's too strict to MR on the home link.
Also, if there is no router within the link, how can do routing for hosts?

How about that?

Best Regards.
Jung-Hoon Cheon

---

From: Vijay Devarapalli <[email-masked]>
Date: Thu, 28 Aug 2003 10:10:26 -0700

in one of the earlier discussions on the mailing list (I dont
remember which thread) it was concluded that the Mobile Network
will not be a transit network. no node on the home link should
configure the MR as the default router. MR should be default
router only for nodes inside the Mobile Network.

thats why the draft says the lifetime for the RA sent
on the MR's "egress" interface MUST be set to zero.

> I think that it's too strict to MR on the home link.

its not. that is the correct behavior.

> Also, if there is no router within the link, how can do routing for hosts?

there is atleast the Home Agent. and theres got a router 
which aggregates the home link (and the Mobile Networks 
that belong to the home link).

Vijay

---

From: Vijay Devarapalli <[email-masked]>
Date: Thu, 28 Aug 2003 10:10:26 -0700

Vijay

---

From: "Jung-Hoon Cheon" <[email-masked]>
Date: Fri, 29 Aug 2003 11:46:56 +0900

Hi Vijay,
 
 Now, it's clear to me.
Thank you for clarifing the point.
 
 Regards.
Jung-Hoon

---

From: "Jung-Hoon Cheon" <[email-masked]>
Date: Fri, 29 Aug 2003 11:46:56 +0900

Hi Vijay,
 
 Now, it's clear to me.
 
 Regards.
Jung-Hoon